Page MenuHomePhabricator

Middle-click to paste text doesn't work in CodeMirror on Linux
Open, Stalled, LowPublic

Description

A bug report from Pamputt:
https://www.mediawiki.org/w/index.php?title=Topic:Tx4o3yhzr66cek8r
Users can't middle-click to paste text in CodeMirror.

Quiddity partially verifies:
I cannot middle-click paste in the normal wikitext editor if CodeMirror is active, with Firefox+Ubuntu (Mint).
But I can middle-click paste in VE, NWE (even with CodeMirror active), and the normal wikitext editor, with Firefox+Ubuntu.

MichaelSchoenitzer agrees:
Firefox 55 on Linux. Can confirm Pamputt's statement: With the Visual Editor , the text is not pasted at the correct position (but at the position the cursor is sitting in). With CodeMirror, it is not pasted at all.
I work a lot with Middle click – often I use it the be able to have two things in Copy-Paste at the same time.

Event Timeline

DannyH created this task.Aug 30 2017, 10:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2017, 10:50 PM

Possibly T95104#3556969 might be relevant?

DannyH renamed this task from Middle-click to paste text doesn't work in CodeMIrror to Middle-click to paste text doesn't work in CodeMIrror on Linux.Aug 31 2017, 5:19 PM
DannyH updated the task description. (Show Details)
Quiddity renamed this task from Middle-click to paste text doesn't work in CodeMIrror on Linux to Middle-click to paste text doesn't work in CodeMirror on Linux.Aug 31 2017, 5:41 PM
Niharika triaged this task as Low priority.Nov 7 2017, 11:37 PM
TheDJ changed the task status from Open to Stalled.Jun 17 2018, 8:24 PM
TheDJ added a project: Upstream.
TheDJ added a subscriber: TheDJ.

This ticket is stalled on the upstream issue.

TheDJ moved this task from Backlog to Reported Upstream on the Upstream board.Jun 17 2018, 8:25 PM

The upstream ticket says that it is fixed for more than one year (at least since Firefox 51).
I use Firefox 60.0.2 and this issue is still present.

TheDJ added a comment.Jun 18 2018, 8:36 AM

@Pamputt I consider https://github.com/codemirror/CodeMirror/issues/931 to be the upstream ticket and it clearly indicates that it is not yet fixed, and that the FF fixes are imcomplete.

Not sure whether to merge with T188607 and whether to change the task status here from Stalled to Open: Upstream ticket https://github.com/codemirror/CodeMirror/issues/931 got closed via https://github.com/codemirror/CodeMirror/pull/5751 but there is still an issue in Chrome browsers on Linux in https://github.com/codemirror/CodeMirror/issues/5754 .

TheDJ added a comment.May 8 2019, 9:34 AM

I'd say let's reserve this for the 5754 issue in that case and keep the other for the 5751 (which will require us to update CodeMirror)